Summary:	Mozo - menu editor for MATE desktop
Summary(pl.UTF-8):	Mozo - edytor menu dla środowiska MATE
Name:		mozo
Version:	1.26.2
Release:	1
License:	GPL v2
Group:		X11/Applications
Source0:	https://pub.mate-desktop.org/releases/1.26/%{name}-%{version}.tar.xz
# Source0-md5:	3a9785c81bcfa4e356b3d28785ee3d6e
Patch0:		%{name}-noarch.patch
URL:		https://wiki.mate-desktop.org/mate-desktop/applications/mozo/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake >= 1:1.7
BuildRequires:	gettext-tools >= 0.19.8
BuildRequires:	mate-menus-devel >= 1.21.0
BuildRequires:	pkgconfig >= 1:0.21
BuildRequires:	python3 >= 1:3.5
BuildRequires:	python3-pygobject3 >= 3.0
BuildRequires:	python-pygobject3-common-devel >= 3.0
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.596
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme >= 0.10-3
Requires:	gdk-pixbuf2
Requires:	gobject-introspection
Requires:	gtk+3 >= 3.12
Requires:	mate-menus-libs >= 1.21.0
Requires:	python3 >= 1:3.5
Requires:	python3-pygobject3 >= 3.0
Obsoletes:	mate-menu-editor < 1.8.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Mozo is a menu editor for MATE using the freedesktop.org menu
specification.

Mozo is a fork of Alacarte.

%description -l pl.UTF-8
Mozo to edytor menu dla środowiska MATE, wykorzystujący specyfikację
menu freedesktop.org.

Mozo to odgałęzienie projektu Alacarte.

%prep
%setup -q
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	PYTHON=/usr/bin/python3 \
	am_cv_python_pythondir=%{py3_sitescriptdir} \
	--disable-icon-update \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# not supported by glibc
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/{es_ES,frp,ie,ku_IQ,pms,nah,nqo,ur_PK}

%find_lang mozo

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f mozo.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/mozo
%dir %{py3_sitescriptdir}/Mozo
%{py3_sitescriptdir}/Mozo/*.py
%dir %{py3_sitescriptdir}/Mozo/__pycache__
%{py3_sitescriptdir}/Mozo/__pycache__/*.py[co]
%{_datadir}/mozo
%{_desktopdir}/mozo.desktop
%{_iconsdir}/hicolor/*x*/apps/mozo.png
%{_mandir}/man1/mozo.1*
%changelog
* Sat Oct 29 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mozo.git;a=log;h=master

* Sat Oct 29 2022 Jan Palus <atler@pld-linux.org> 84c61d7
- up to 1.26.2

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> b4c632d
- Release 3 (by relup.sh)

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> b6f0cef
- rebuild with python 3.10

* Mon Nov 15 2021 Jan Palus <atler@pld-linux.org> 94766c7
- up to 1.26.1

* Thu Sep 09 2021 Jakub Bogusz <qboosh@pld-linux.org> c40b7a4
- updated URL and rpm macros, use versioned Obsoletes

* Wed Aug 25 2021 Jan Rękorajski <baggins@pld-linux.org> e7f31c2
- remove more unsupported locales, rel 2

* Wed Aug 18 2021 Jan Palus <atler@pld-linux.org> 6549042
- up to 1.26.0

* Sat Mar 27 2021 Jan Palus <atler@pld-linux.org> 8433c42
- up to 1.24.1

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 9a0d870
- release 2 (by relup.sh)

* Sun Oct 18 2020 Jan Palus <atler@pld-linux.org> a86833c
- noarch in main package is unconditional (thanks glen)

* Sun Oct 18 2020 Jan Palus <atler@pld-linux.org> 50b4f89
- noarch package

* Tue Feb 11 2020 Jan Palus <atler@pld-linux.org> 44bf6bc
- up to 1.24.0

* Fri Nov 01 2019 Jan Rękorajski <baggins@pld-linux.org> 8b33dc1
- release 3 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 2771624
- rebuild with python 3.8
- release 2 (by relup.sh)

* Mon Sep 23 2019 Jan Palus <atler@pld-linux.org> 5dfafab
- up to 1.22.2

* Sat May 25 2019 Jakub Bogusz <qboosh@pld-linux.org> 1efc9da
- kab locale is supported now

* Tue Apr 23 2019 Jan Palus <atler@pld-linux.org> 6c9b9ab
- up to 1.22.1

* Tue Mar 19 2019 Jan Palus <atler@pld-linux.org> ec5246c
- up to 1.22.0

* Wed Dec 26 2018 Jan Palus <atler@pld-linux.org> 69c68f2
- up to 1.20.2

* Tue Jun 19 2018 Jan Palus <atler@pld-linux.org> 9fee1c3
- up to 1.20.1

